function [theta_s,theta_b,Tcline,N] = get_sigma(roms_file)
%GET_SIGMA   Get s-coordinates parameters from ROMS file (deprecated)
%   [THETA_S,THETHA_B,TCLINE,N] = GET_SIGMA(ROMS_FILE)
%   Gets variables from ROMS output files needed to calculate
%   vertical sigma coordinate levels. 
%   Other needed variables are h, hmin and zeta, at each location
%
%   input:
%      ROMS_FILE   ROMS output file
%
%   output:
%      THETA_S   s-coordinate surface control parameter
%      THETA_B   s-coordinate bottom control parameter
%      TCLINE    s-coordinate surface/bottom layer width
%      N         number of vertical levels
%
%  comment:
%     this function is DEPRECATED, use S_PARAMS instead
%
%   MMA 22-5-2003, martinho@fis.ua.pt
%   Revision 10-2003
%
%   See also S_LEVELS, S_PARAMS

if nargin==0
  [filename, pathname] = uigetfile('*.nc', 'Select ROMS output file');
  roms_file=[pathname,filename];
end

nc=netcdf(roms_file,'nowrite');
  theta_s=nc{'theta_s'}(:);
  theta_b=nc{'theta_b'}(:);
  Tcline=nc{'Tcline'}(:);
  sc_r=nc{'sc_r'}(:);
nc=close(nc);
N=length(sc_r);
