function [interval,ndias] = sta_time(sta)
%STA_TIME   Get interval and length of ROMS output stations
%   [INTERVAL,NDAYS]=STA_TIME(STA)
%
%   input:
%      STA   ROMS sta output file
%
%   output:
%      INTERVAL   interval between data in hours
%      NDAYS      duration in days
%
%   MMA 29-9-2002, martinho@fis.ua.pt
%   Revision 10-2003

dt       = use(sta,'dt');
nsta     = use(sta,'nsta');
interval = dt*nsta/3600; % horas.
ot       = use(sta,'ocean_time');
ndias    = ot(end)/86400;
