function teta = atan3(y,x)
%ATAN3   Inverse tangent [0:360[
%   TETA = ATAN3(Y,X)
%   Does the same as atan2(x,y)*180/pi, but with positive output
%
%   input:
%      Y, X   same as in atan2
%
%   output:
%      TETA   angle (deg)
%
%   MMA 13-1-2003, martinho@fis.ua.pt
%   Revision 10-2003

teta=atan2(y,x)*180/pi;
I=find(teta<0);
teta(I)=teta(I)+360;
