function r = corr_xy(x,y)
%CORR_XY   Correlation coefficient between two series
%   R = CORR_XY(X,Y)
%   Computes the correlation coefficient,R, between X and Y
%
%   example:
%      x=cos(2*pi*[1:100]/12);
%      y=x+rand(size(x));
%      r=corr_xy(x,y)
%
%   MMA 2-4-2003, martinho@fis.ua.pt
%   Revision 10-2003

x=double(x);
y=double(y);
x=x-mean(x);
y=y-mean(y);
r=sum(sum(x.*y))/sqrt(sum(sum(x.*x))*sum(sum(y.*y)));
