function dsp(file)
%DSP   Run UNIX display
%   DSP(FILE)
%   Runs display (ImageMagic) on UNIX and default image viewer
%   on PCWIN
%
%   input:
%      FILE   file to open [<none> <abc*def*.*>]
%
%   MMA 4-5-2005, martinho@fis.ua.pt
%
%   See Also VI, GV

if nargin == 0, file = '*'; end
if any(file == '*') | isempty(file)
  [filename, pathname] = uigetfile({'*.tif';'*.gif';'*.jpg';'*.png'}, 'select the file');
  if isequal(filename,0) | isequal(pathname,0)
    return
  else
    file = fullfile(pathname, filename);
  end
end
if isempty(which(file)), disp(['## file ',file,' not found']); return, end
file = which(file);
if isequal(computer,'PCWIN')
  eval(['! ',file],'');
else
  eval(['! display ',file],'');
end
