function res=explode(str,s,n)
%EXPLODE   Divide  a string by a character
%   RES = EXPLODE(STR,S)
%
%   input:
%      STR   the string
%      S     the needle   [ character ]
%      N     substring index to output   [ <none> ]
%
%   output:
%      RES   output cell array if N is specified; a string, otherwise
%
%   comment:
%      this is a soft version o PHP explode
%
%   example:
%      str   = '09-Feb-2004';
%      year  = explode(str,'-',3);  % '2004'
%      parts = explode(str,'-');    % '09'    'Feb'    '2004'
%
%   MMA 9-6-2004, martinho@fis.ua.pt

if nargin == 3
   index=n;
else
   index=[];
end

i=find(str == s);
if isempty(i)
  res={str};
  return

elseif i >=1
  res{1} = str(1:i-1);
  cont=1;
  if i > 1
    for n=1:length(i)-1
      i1=i(n)+1;
      i2=i(n+1)-1;
      cont=cont+1;
      res{cont}=str(i1:i2);
    end
  end
  cont=cont+1;
  evalc('res{cont}=str(i(end)+1:end);','');
end

if ~isempty(index)
   res=res(index);
end
