function gv(file)
%GV   Run UNIX gv
%   GV(FILE)
%   Runs GV on UNIX and default ps viewer on PCWIN
%
%   input:
%      FILE   file to open [<none> <abc*def*.*>]
%
%   MMA 4-5-2005, martinho@fis.ua.pt
%
%   See Also VI, DSP

if nargin == 0, file = '*'; end
if any(file == '*') | isempty(file)
  [filename, pathname] = uigetfile({'*.ps';'*.eps';'*.pdf'}, 'select the file');
  if isequal(filename,0) | isequal(pathname,0)
    return
  else
    file = fullfile(pathname, filename);
  end
end
if isempty(which(file)), disp(['## file ',file,' not found']); return, end
file = which(file);
if isequal(computer,'PCWIN')
  eval(['! "C:\Program Files\Ghostgum\gsview\gsview32.exe" ',file],'');
else
  eval(['! gv ',file],'');
end
