function M = nan2zero(M,val)
%NAN2ZERO   Convert NaNs to zero
%   ME = NAN2ZERO(MI,VAL)
%   Converts all NaN entries in array MI to zero (or VAL)
%
%   input:
%      MI    array where to search
%      VAL   value to occupy the place of the NaNs [ 0 ]
%
%   output:
%      ME   array with NaNs converted to zero (VAL)
%
%   MMA 1-2003, martinho@fis.ua.pt
%   Revision 10-2003
%
%   See also ZERO2NAN, NAN_COUNT

if nargin==1
 val=0;
end

I=isnan(M);
M(I)=val;
