function str=subname(name,lmax,add)
%SUBNAME   Get part of string
%   STR = SUBNAME(NAME,LMAX,ADD)
%   Returns last part of NAME with ADD at the beginning
%   Output will have maximum length = LMAX
%
%   input:
%      NAME   initial string
%      LMAX   maximum length  of string [ 40 ]
%      ADD    string to add at the beginning [ '...' ]
%
%   output:
%      STR   part of NAME or NAME  if length(NAME) <= LMAX
%
%    example:
%       name = '/home/user/filename.xpto'
%       lmax = 20;
%       str = subname(name,lmax); %  str = '...ser/filename.xpto'
%
%   MMA 31-5-2004, martinho@fis.ua.pt

if nargin < 3
  add='...';
end
if nargin < 2
  lmaax=40;
end
if nargin ==  0
  disp('# argument name is required...')
  return
end

l=length(name);
is=max(1,l-lmax+1);
str=name(is:end);
ladd=length(add);

if ~isequal(is,1)
  str=[add,str(ladd+1:end)];
end
