function M = zero2nan(M,val)
%ZERO2NAN   Convert zeros to NaN
%   ME = ZERO2NAN(MI,VAL)
%   Converts all zeros (or VAL) entries of MI to NaN
%
%   input:
%      MI    array to search
%      VAL   value to occupy the place of the zeros (VAL) [ NaN ]
%
%   output:
%      ME   array with zeros (VAL) converted to NaN
%
%   MMA 1-2003, martinho@fis.ua.pt
%   Revision 10-2003
%
%   See also NAN2ZERO, NAN_COUNT

if nargin==1
 val=0;
end
I=find(M==val);
M(I)=NaN;
