function out =  n_fileattexist(file,attname)
%N_FILEATTEXIST   Check if NetCDF file attribute exists
%   OUT = N_FILEATTEXIST(FILE,VARNAME,ATTNAME)
%
%   input:
%      FILE      NetCDF file
%      ATTNAME   attribute name
%
%   output:
%      OUT   1 = yes; 0 = no; [] = error in file
%
%   requires:
%      NetCDF interface for Matlab
%
%   example:
%      out = n_fileattexist('file.nc','units')
%
%   MMA 7-2-2005, martinho@fis.ua.pt
%
%   See also N_FILEATT, N_VAREATT, N_VAREATTEXIST

out=[];

if nargin < 2
  disp('# arguments required');
  return
end

attrib = n_fileatt(file);

if isempty(attrib)
  return
end

out=0;
for i=1:length(attrib.name)
  if isequal(attrib.name{i},attname)
    out = 1;
    return
  end
end
