function out =  n_filedimexist(file,dim)
%N_FILEDIMEXIST   Check if NetCDF file dimension exists
%   OUT = N_FILEDIMEXIST(FILE,DIM)
%
%   input:
%      FILE   NetCDF file
%      DIM    dimension name
%
%   output:
%      OUT   1 = yes; 0 = no; [] = error in file
%
%   requires:
%      NetCDF interface for Matlab
%
%   example:
%      out = n_filedimexist('file.nc','time')
%
%   MMA 7-2-2005, martinho@fis.ua.pt
%
%   See also N_FILEDIM, N_VARDIM, N_VARDIMEXIST

out=[];

if nargin < 2
  disp('# arguments required');
  return
end

dims = n_filedim(file);

if isempty(dims)
  return
end

out=0;
for i=1:length(dims.name)
  if isequal(dims.name{i},dim)
    out = 1;
    return
  end
end
