function mexcdf53_pcwin_bundle

% mexcdf53_pcwin_bundle -- PCWIN mexcdf53 bundler.
%  mexcdf53_pcwin_bundle (no argument) bundles the "mexcdf53"
%   Mex-file binaries for PCWIN.
 
% Copyright (C) 2002 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 17-Sep-2002 15:03:11.
% Updated    08-May-2003 11:18:21.

theMessage = {
    ' '
    '---------- MexCDF53 for PCWIN ----------'
    ' '
    'The "mexcdf53" software for the "NetCDF Toolbox"'
    'has been placed in the "mexcdf53_pcwin\PCWIN" folder.'
    'When properly installed, the "mexcdf53" Mex-file'
    'will display its "syntax" when executed without'
    'any arguments.  To complete the installation,'
    'follow these instructions.'
    ' '
    '==> PCWIN: Place copies of "mexcdf53.dll" and "netcdf.dll"'
    'in both the Matlab "\bin" and "bin\Win32" folders (create'
    'if necessary).  Adjust your Matlab path to include both'
    'those folders, restart Matlab, then execute "mexcdf53".'
    ' '
    'If PCWIN Matlab refuses to find or load "mexcdf53", even'
    'while saying exactly where it is, make sure the Matlab path'
    'is correct, then restart Matlab and try executing "mexcdf53"'
    'again.  Eventually, you will prevail and Matlab will start'
    'to behave itself.  Some users have been able to keep the'
    'DLLs elsewhere, such as in the "ncutility" directory, but'
    'PCWIN Matlab has been very inconsistent on this matter.'
    ' '
};

at(mfilename)

bund new mexcdf53_pcwin

bund setdir mexcdf53_pcwin

bund setdir PCWIN
bund binary mexcdf53.dll
bund binary netcdf.dll
bund cd ..

oldPWD = pwd;
cd ..
cd ncsource

bund setdir Source
bund text mexcdf.h
bund text mexcdf53.c
bund mfile make_mexcdf53
bund mfile mexcdf53_pcwin_bundle
bund cd ..

cd(oldPWD)

bund cd ..
bund('message', theMessage)
bund close
