%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 25/01/06 %%%
%%%           EDDY TRACKING 2D PACKAGE             %%%
%%%                                     vs 2D.1.0  %%%
%%% parameters                                     %%%
%%% tracking_ini                                   %%%
%%%  |_anim_tracking2d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking2d                               %%%
%%%     |_eddysection                              %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% this is G.Lapeyre's code                       %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [zctot,zc, zr]=census_wlt2(zz,nt,factor);


sum0=mean(mean(zz.^2));
zz=zz/sqrt(sum0);
zctot(:,:,1)=0*zz;zr_old=zz;


[n,D] = quadlength(zr_old);
% D=1 donne de bons resultats avec Haar
% D=1 donne de bons resultats avec Battle 1
% on filtre ensuite avec div2=div;div2(find(abs(zct(:,:,3))<0.001))=0;
% D=2, Battle 1
%div2=div;div2(find(abs(zct(:,:,3))<0.05))=0;
D=1;  
qmf=MakeONFilter('Haar');
%qmf = MakeONFilter('Battle',1);
sqtree = Calc2dStatTree('WP',zr_old,D,qmf,'Entropy');
[btree,vtree] = Best2dBasis(sqtree,D);


%factor=0.25; %OLD CENSUS
%factor=0.125; %NEW CENSUS

XXX=0;
for it=1:nt
  
  z_s=FPT2_WP(btree,zr_old,qmf);

  sum_z=sum(sum(abs(z_s).^2));
%-d=nombre de coefficient
  d=factor*sum_z*exp(CalcEntropy(z_s,'Entropy')/sum_z);
%-on tire les coefficients par valeur
  [xx,yy]=sort(abs(z_s(find(abs(z_s)>-1))));
%-rpt=valeur du dernier coefficient
  rpt=xx(end-floor(d));
%-on met les coefficients inferieur a rpt a zero
  z_s(find(abs(z_s)<rpt))=0;
  zc=IPT2_WP(btree,z_s,qmf);

  zr=zr_old-zc;
  zctot(:,:,it+1)=zctot(:,:,it)+zc;
  zr_old=zr;

  sumr=mean(mean(zr.^2));  

%Donc, on garde floor(d) coefficients.
%attention, il faut sommer sur nt (bouche for it=1:nt)
%pour avoir le nombre total (vu qu'il y a plusieurs iterations).

 XXX=XXX+floor(d)/size(xx,1);
  
end
disp([' retained ',num2str(round(XXX*100)),'% of the wavelets']);


zc=zc*sqrt(sum0);
zr=zr*sqrt(sum0);
zctot=zctot*sqrt(sum0);
