%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(3);clf;set(3,'Position',[scrsz(3)/2 scrsz(4)/50 scrsz(3)/2 scrsz(4)/2])
hold on;

if enough==0
lonW=lon(jcenter+jmin-1,icenter+imin-1)-sect;%0.5;
lonE=lon(jcenter+jmin-1,icenter+imin-1)+sect;%0.5;
latS=lat(jcenter+jmin-1,icenter+imin-1); 
latN=lat(jcenter+jmin-1,icenter+imin-1);

[LONSEC,LATSEC,X,Z,TEMP]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'temp',tindex);
[LONSEC,LATSEC,X,Z,SALT]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'salt',tindex);
[LONSEC,LATSEC,X,Z,U]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'u',tindex);
[LONSEC,LATSEC,X,Z,V]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'v',tindex);

%figure(3);warning off all;
subplot(1,2,1)
[C,h]=contourf(LONSEC,Z,TEMP,[1:1:14]);
axis([lonW lonE -5000 -100]);
colorbar
 xlabel('lon')
 ylabel('depth [m]')
 title('\bf{temp [^oC]}')
set(gca,'XScale','linear','YScale','log');

subplot(1,2,2)
[C,h]=contourf(LONSEC,Z,SALT,[34.3:0.1:35.0]);%,[34.9:0.05:35.8]);
axis([lonW lonE -5000 -100]);
colorbar
 xlabel('lon')
 title('\bf{salt [psu]}')
set(gca,'XScale','linear','YScale','log');


end

hold off;


     figure(3)
     print('-depsc',['./temp_s_',num2str(fr),'.eps'],'-loose');       
     %close(2);
