%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [LONSEC1,LATSEC1,X1,Z1,vEW,LONSEC2,LATSEC2,X2,Z2,uNS,veltang,Zmin,Zmin2,Zmean]=flierl(fr,hisfile,gridfile,tindex,vlevel,latc,lonc,latS,latN,lonE,lonW,velcenter)

[LONSEC1,LATSEC1,X1,Z1,vEW]=ad_get_section(hisfile,gridfile,[lonW lonE],[latc latc],'v',tindex);
[LONSEC2,LATSEC2,X2,Z2,uNS]=ad_get_section(hisfile,gridfile,[lonc lonc],[latN latS],'u',tindex);

[ksize,isize]=size(vEW);
veltang1=0.5*abs(vEW(:,1)-vEW(:,isize));

[ksize,jsize]=size(uNS);
veltang2=0.5*abs(uNS(:,1)-uNS(:,jsize));

veltang=0.5*(veltang1+veltang2);


Zmin=vlevel;
Zmin2=vlevel;
Zmean=0.5*(mean(Z1,2)+mean(Z2,2));

for k=1:32;
  if veltang(k)>velcenter
  Zmin=Zmean(k);
  disp(['Zmin=',num2str(Zmin)])
  break;
  end
end
for k=1:32;
  if veltang(k)>velcenter/2;
  Zmin2=Zmean(k);
  disp(['Zmin2=',num2str(Zmin2)])
  break;
  end
end

%Zminmemo(fr)=Zmin;
%Zmin2memo(fr)=Zmin2;
