%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% this is G.Lapeyre's code with small modications %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [final,nto]=nouv_extract(myvar0,nfac,rdist,nsize,nsep,factor);


nx0=size(myvar0,1);

x=linspace(0,1,nx0);
xx=linspace(0,1,nfac*nx0);
nx=nfac*nx0;ny=nfac*nx0;
myvar=interp2(x,x',myvar0,xx,xx','cubic');

% calcul sur les ondelettes
%zctot,zc,zr]=ad_census_wlt2(myvar,6);
[zctot,zc,zr]=census_wlt2(myvar,6,factor); %IT'S THE SAME

% zctot(:,:,end) contient le champ filtre
% par methode par ondelettes

% on passe a la partie de separation des tourbillons

% nombre de fois ou le calcul sera fait
% plus c'est grand plus on prendra en compte de structures
% on peut mettre un nombre tres tres grand car l'algorithme
% s'arrete quand il n'y a plus rien a processer
ndiag=1000;  ndiag2=ndiag;
tableau=myvar*0;% tableau contiendra l'index des tourbillons
valeur1=myvar; % valeur1 est un tableau de travail
valeur1(find(zctot(:,:,end)==0))=0;
valeur1p=valeur1;

% pour initialiser decompoisition, il faut que nto et tableau
% soient definis
nto=0; tableau=0*valeur1;

%%%t=cputime;%****CPU TIME ***
[tableau,nto]=decomposition(valeur1,tableau,ndiag,nto);
%%%dt_dcm=cputime-t %****CPU TIME ***

% tableau2= numero de tourbillon * signe(vorticite du tourbillon)
tableau2=abs(tableau).*sign(myvar);

% (methode de regroupement non utilisee)
%tableau2=regroupe1(tableau2,myvar,rdist);

% on regroupe deux tourbillons s'ils ont plusieurs points
% de bord communs
%%%t=cputime;%****CPU TIME ***
tableau2=regroupe2(tableau2);
%%%dt_reg=cputime- t%****CPU TIME ***


% on decoupe les filaments 
%%%t=cputime;%****CPU TIME ***
[valeur1,tableaunew]=decoupe(abs(tableau2),valeur1p,nsep);
%%%dt_dcp=cputime-t%****CPU TIME ***
% on recommence la decomposition et le regroupement

ndiag2=ndiag+1000;
ndiag=1000;
[tableau,nto]=decomposition(valeur1,tableaunew,ndiag,nto);
tableau2=abs(tableau).*sign(myvar);

%tableau2=regroupe1(tableau2,myvar,rdist);

tableau2=regroupe2(tableau2);

nto=0;
final0=tableau2*0;
for it=1:ndiag2
  index=find(abs(tableau2)==it);
  if(not(isempty(index)))
    if(size(index,1)>nsize)
      nto=nto+1;
      final0(index)=max(sign(tableau2(index)))*nto;
    end
  end
end


nsp=2;

% plus rapide
%utab=((final0(1+2*nsp:nx,1+nsp:ny-nsp)~=0)...
%      +(final0(1:nx-2*nsp,1+nsp:ny-nsp)~=0)...
%          +(final0(1+nsp:nx-nsp,1+2*nsp:ny)~=0)...
%      +(final0(1+nsp:nx-nsp,1:ny-2*nsp)~=0)).*...
%     (final0(1+nsp:nx-nsp,1+nsp:ny-nsp)==0);
%[I,J]=find(utab==1); ncal=prod(size(I));
%for ical=1:ncal
%  if(and(final0(I(ical)+2*nsp,J(ical)+nsp)==final0(I(ical),...
%       J(ical)+nsp),and(final0(I(ical)+2*nsp,...
%       J(ical)+nsp)==final0(I(ical)+nsp,J(ical)+2*nsp),...
%       final0(I(ical)+nsp,J(ical))==final0(I(ical)+2*nsp,...
%       J(ical)+nsp))))
%    final0(I(ical)+nsp,J(ical)+nsp)=final0(I(ical)+nsp,J(ical));
%  end
%end

for ix=1+nsp:nx-nsp
  for jy=1+nsp:ny-nsp
    ntoto=(final0(ix+nsp,jy)~=0)+(final0(ix-nsp,jy)~=0)...
          +(final0(ix,jy+nsp)~=0)+(final0(ix,jy-nsp)~=0);
    if(and(final0(ix,jy)==0,ntoto==4))
      if(and(final0(ix+nsp,jy)==final0(ix-nsp,jy),...
             and(final0(ix+nsp,jy)==final0(ix,jy+nsp),...
                 final0(ix,jy-nsp)==final0(ix+nsp,jy))))
        final0(ix,jy)=final0(ix,jy-nsp);
      end
    end
  end
end


%final=final0;
final=interp2(xx,xx',final0,x,x','nearest');

return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Tableau,Nto]=decomposition(Valeur1,Tableau,Ndiag,Nto);

Nx=size(Valeur1,1);
Ny=size(Valeur1,2);

for itour=1:Ndiag
  Nto=Nto+1;
  if(max(max(abs(Valeur1)))==0)
    break
  end
  % on cherche la valeur maximale de la vorticite
  % on recuperera ensuite tous les points a cote
  % jusqu'a trouver un minimum
  [I,J]=find(abs(Valeur1)==max(max(abs(Valeur1))));
  Tableau(I,J)=Nto;
  flag=1;
  while(flag>0)
    % on itere tant qu'on trouve des points en plus
    % a rajouter au tourbillon courant

    flag=0;
    % on prend les points au voisinage des points courants (I,J)
    % (I et J sont des vecteurs)
    for ik=1:4
      ixx=(ik<2.5)*((ik>1.5)*2-1);
      jyy=(ik>2.5)*((ik>3.5)*2-1);
      % on fait attention qu'on n'est pas sur le bord du domaine
      itoto=find(and(and(I+ixx>0,I+ixx<=Nx),...
                     and(J+jyy>0,J+jyy<=Ny)));
      if(not(isempty(itoto)))
        I0=I(itoto);J0=J(itoto);
        ind1=sub2ind([Nx Ny],I0+ixx,J0+jyy);
        ind0=sub2ind([Nx Ny],I0,J0);
        % si les points au voisinage (index ind1) ont une vorticite 
        % plus faible que la vorticite dans le tourbillon 
        % (index ind0), ET s'ils ne sont pas deja dans le 
        % tourbillon ET s'ils ont une vorticite du meme signe
        % que celle du tourbillon, on les ajoute au tourbillon
        ifi=find(and(abs(Valeur1(ind1))<abs(Valeur1(ind0)),...
                     and(Tableau(ind1)==0,...
                         Valeur1(ind1).*Valeur1(ind0)>0)));
        if(not(isempty(ifi)))
          Tableau(ind1(ifi))=Nto;
          flag=1;
        end
      end
    end
    % on recalcule les indices des points qui appartiennent
    % au tourbillon courant
    [I,J]=find(Tableau==Nto);
  end
  % on a fini avec le tourbillon courant, on enleve la vorticite
  % de ce tourbillon, et on continue avec le reste
  toto=Tableau*0+1;toto(find(Tableau>0))=0;
  Valeur1=Valeur1.*toto;
end
return
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Tableau2]=regroupe1(Tableau2,Myvar,Rdist);

Nx=size(Tableau2,1); Ny=size(Tableau2,2);
for it=1:3
  Tableau0=Tableau2;
  for ix=1:Nx
    for jy=1:Ny-1
      if(and(abs(Tableau2(ix,jy)-Tableau2(ix,jy+1))>0,...
             Tableau2(ix,jy).*Tableau2(ix,jy+1)>0))
        ind1=find(Tableau0==Tableau0(ix,jy));
        max1=max(abs(Myvar(ind1)));
        [I1,J1]=find(and(abs(Myvar)==max1,...
                         Tableau0==Tableau0(ix,jy)));
        ind2=find(Tableau0==Tableau0(ix,jy+1));
        max2=max(abs(Myvar(ind2)));
        [I2,J2]=find(and(abs(Myvar)==max2,...
                         Tableau0==Tableau0(ix,jy+1)));
        
%        [I1,J1]=find(and(abs(Myvar)==max(abs(Myvar(ind1))),...
%                         Tableau0==Tableau0(ix,jy)));
%        ind2=find(Tableau0==Tableau0(ix,jy+1));
%        [I2,J2]=find(and(abs(Myvar)==max(abs(Myvar(ind2))),...
%                         Tableau0==Tableau0(ix,jy+1)));
        x1=mean(I1);y1=mean(J1);x2=mean(I2);y2=mean(J2);
        if(sqrt((x1-x2)^2+(y1-y2)^2)<Rdist)
          Tableau2(find(Tableau2==Tableau2(ix,jy)))=Tableau2(ix,jy);
          Tableau2(find(Tableau2==Tableau2(ix,jy+1)))=Tableau2(ix,jy);
        end
      end
    end
  end
  for ix=1:Nx-1
    for jy=1:Ny
      if(and(abs(Tableau2(ix,jy)-Tableau2(ix+1,jy))>0,...
             Tableau2(ix,jy).*Tableau2(ix+1,jy)>0))

        ind1=find(Tableau0==Tableau0(ix,jy));
        max1=max(abs(Myvar(ind1)));
        [I1,J1]=find(and(abs(Myvar)==max1,...
                         Tableau0==Tableau0(ix,jy)));
        ind2=find(Tableau0==Tableau0(ix+1,jy));
        max2=max(abs(Myvar(ind2)));
        [I2,J2]=find(and(abs(Myvar)==max2,...
                         Tableau0==Tableau0(ix+1,jy)));
        
%        ind1=find(Tableau0==Tableau0(ix,jy));
%        [I1,J1]=find(and(abs(Myvar)==max(abs(Myvar(ind1))),...
%                         Tableau0==Tableau0(ix,jy)));
%        ind2=find(Tableau0==Tableau0(ix+1,jy));
%        [I2,J2]=find(and(abs(Myvar)==max(abs(Myvar(ind2))),...
%                         Tableau0==Tableau0(ix+1,jy)));
        x1=mean(I1);y1=mean(J1);x2=mean(I2);y2=mean(J2);
        if(sqrt((x1-x2)^2+(y1-y2)^2)<Rdist)
          tableau2(find(Tableau2==Tableau2(ix,jy)))=Tableau2(ix,jy);
          tableau2(find(Tableau2==Tableau2(ix+1,jy)))=Tableau2(ix,jy);
        end
      end
    end
  end
end
return



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Tableau2]=regroupe2(Tableau2);

Nx=size(Tableau2,1); Ny=size(Tableau2,2);

Ntoto=max(max(abs(Tableau2)));

for ifois=1:2
  tab0=Tableau2(2:Nx-1,2:Ny-1);
  tabxm=Tableau2(1:Nx-2,2:Ny-1);
  tabxp=Tableau2(3:Nx,2:Ny-1);
  tabym=Tableau2(2:Nx-1,1:Ny-2);
  tabyp=Tableau2(2:Nx-1,3:Ny);
  
  flag(1:Nx-2,1:Ny-2)=0; it=flag; jt=flag;

  ind=find(and(tab0.*tabxm>0,tab0~=tabxm));
  flag(ind)=1; it(ind)=tab0(ind); jt(ind)=tabxm(ind);
    
  ind=find(and(tab0.*tabxp>0,tab0~=tabxp));
  flag(ind)=1; it(ind)=tab0(ind); jt(ind)=tabxp(ind);

  ind=find(and(tab0.*tabym>0,tab0~=tabym));
  flag(ind)=1; it(ind)=tab0(ind); jt(ind)=tabym(ind);

  ind=find(and(tab0.*tabyp>0,tab0~=tabyp));
  flag(ind)=1; it(ind)=tab0(ind); jt(ind)=tabyp(ind);


  if(max(max(flag))==1)
    
    for inn=1:Ntoto
      ind=find(and(flag==1,abs(it)==inn));
      if(not(isempty(ind)))
        isign=mean(sign(it(ind)));
        nval=histc(sort(abs(jt(ind))),1:Ntoto+10);
        ind2=find(nval~=0); nalpha=prod(size(ind2));
        for inn2=1:nalpha
          indxm=size(find(and(tab0==isign*inn,...
                              abs(tabxm)==ind2(inn2))),1);
          indxp=size(find(and(tab0==isign*inn,...
                              abs(tabxp)==ind2(inn2))),1);
          indym=size(find(and(tab0==isign*inn,...
                              abs(tabym)==ind2(inn2))),1);
          indyp=size(find(and(tab0==isign*inn,...
                              abs(tabyp)==ind2(inn2))),1);
          if(prod(indxm+indxp+indym+indyp)>6)
            Tableau2(find(abs(Tableau2)==ind2(inn2)))=inn*isign;
          end
        end
      end
    end
%    ind2=find(flag==1); ns=prod(size(ind2));
%    for inn=1:ns
%      indxm=size(find(and(tab0==it(ind2(inn)),...
%                          tabxm==jt(ind2(inn)))),1);
%      indxp=size(find(and(tab0==it(ind2(inn)),...
%                          tabxp==jt(ind2(inn)))),1);
%      indym=size(find(and(tab0==it(ind2(inn)),...
%                          tabym==jt(ind2(inn)))),1);
%      indyp=size(find(and(tab0==it(ind2(inn)),...
%                          tabyp==jt(ind2(inn)))),1);
%      if(prod(indxm+indxp+indym+indyp)>6)
%        Tableau2(find(Tableau2==jt(ind2(inn))))=it(ind2(inn));
%      end
%    end
  end
end

return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Tableau2]=regroupe2_old(Tableau2);

Nx=size(Tableau2,1); Ny=size(Tableau2,2);

for ifois=1:7
  ifois
  tab0=Tableau2(2:Nx-1,2:Ny-1);
  tabxm=Tableau2(1:Nx-2,2:Ny-1);
  tabxp=Tableau2(3:Nx,2:Ny-1);
  tabym=Tableau2(2:Nx-1,1:Ny-2);
  tabyp=Tableau2(2:Nx-1,3:Ny);
  
  for ix=1:Nx-2
    ix
    for jy=1:Ny-2
      flag=0;
      if(and(tab0(ix,jy).*tabxm(ix,jy)>0,...
             tab0(ix,jy)~=tabxm(ix,jy)))
        flag=1; it=tab0(ix,jy); jt=tabxm(ix,jy);
      end
      if(and(tab0(ix,jy).*tabxp(ix,jy)>0,...
             tab0(ix,jy)~=tabxp(ix,jy)))
        flag=1; it=tab0(ix,jy); jt=tabxp(ix,jy);
      end
      if(and(tab0(ix,jy).*tabym(ix,jy)>0,...
             tab0(ix,jy)~=tabym(ix,jy)))
        flag=1; it=tab0(ix,jy); jt=tabym(ix,jy);
      end
      if(and(tab0(ix,jy).*tabyp(ix,jy)>0,...
             tab0(ix,jy)~=tabyp(ix,jy)))
        flag=1; it=tab0(ix,jy); jt=tabyp(ix,jy);
      end
      if(flag==1)
        indxm=size(find(and(tab0==it,tabxm==jt)),1);
        indxp=size(find(and(tab0==it,tabxp==jt)),1);
        indym=size(find(and(tab0==it,tabym==jt)),1);
        indyp=size(find(and(tab0==it,tabyp==jt)),1);
        if(prod(indxm+indxp+indym+indyp)>6)
          Tableau2(find(Tableau2==jt))=it;
        end
      end
    end
  end
end

return



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Valeur1,Tableaunew]=decoupe(Tableau2,Valeur1p,Nsep);

Nx=size(Valeur1p,1); Ny=size(Valeur1p,2);


Valeur1=0*Tableau2; filtre=Valeur1*0+1;
Tableau=abs(Tableau2); Tableaunew=Tableau;
for ix=1+Nsep:Nx-Nsep
  for jy=1+Nsep:Ny-Nsep
    if(abs(Tableau(ix,jy))>0)
      ntoto=Tableau(ix,jy);
      totox=(Tableau(ix+Nsep,jy)~=ntoto)+(Tableau(ix-Nsep,jy)~=ntoto);
      totoy=(Tableau(ix,jy+Nsep)~=ntoto)+(Tableau(ix,jy-Nsep)~=ntoto);
      %      totox=(tableau(ix+nsep,jy)==0)+(tableau(ix-nsep,jy)==0);
      %      totoy=(tableau(ix,jy+nsep)==0)+(tableau(ix,jy-nsep)==0);
      if(or(and(totox==2,totoy==0),and(totox==0,totoy==2)))
        ncoupe=Tableau(ix,jy);
        if(totoy==2)
          for kk=-Nsep+1:Nsep-1
            if(Tableau(ix,jy+kk)==ncoupe)
              filtre(ix,jy+kk)=0;
            end
          end
        else
          for kk=-Nsep+1:Nsep-1
            if(Tableau(ix+kk,jy)==ncoupe)
              filtre(ix+kk,jy)=0;
            end
          end
        end
        idx=find(Tableau==ncoupe);
        Valeur1(idx)=Valeur1p(idx);
        Tableaunew(idx)=0;
      end
    end
  end
end
Valeur1=Valeur1.*filtre;

return