%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function print3d_2(lonrange2,latrange2,lon,lat,jmin,jmax,imin,imax,myvar2,interval2,varname2,coef2,topo,final,loncmemo,latcmemo,neddy,jcenter,icenter,jeddy,ieddy,enough,numbering,contouring,cross,freqnumbering,delta,totaldist,Y,M,D,tindex,fr,fr0,vlevel,simu,ad_crit,cutoff,ntot,centerselec)
%%%%%%%%%%%%%%%%%%%%%%%


%figure(2);
clf;
figure('Visible','on')

hold on;
m_proj('mercator','lon',lonrange2,'lat',latrange2) %Agu10
%--- latlon axis
m_grid('box','fancy');
% contour and velocity vectors
[C,hcontf2]=m_contourf(lon(jmin:jmax,imin:imax),lat(jmin:jmax,imin:imax),myvar2,interval2);
set(hcontf2,'LineColor','none');
%shading flat;
h=colorbar;
h2=get(h,'ylabel');
set(h2,'string',['{\bf ',varname2,' coef=',num2str(coef2,'%6.2e'),'}']);
%--- bathymetry
m_contour(lon,lat,topo,[-1000 -2000 -3000 -4000],'b');

%if varname=='vori'
% ad_add_speed_vec(hisfile,gridfile,tindex*2,vlevel,skp,npts,scale);
%else
% ad_add_speed_vec(hisfile,gridfile,tindex,vlevel,skp,npts,scale);
%end
%[C,h]=m_contour(lon(jmin:jmax,imin:imax),lat(jmin:jmax,imin:imax),myvar2,interval);
%clabel(C,h,'BackGroundColor',[1 1 1]);

%eddy
if enough==1;
 [C,h]=m_contour(lon(jmin:jmax,imin:imax),lat(jmin:jmax,imin:imax),final,[0 1],'k');
set(h,'LineWidth',1,'EdgeColor','k');

 %%% trajectory 
 if (fr-fr0)>2;
  for i=fr0+1:fr-1
   m_line([loncmemo(i,1) loncmemo(i+1,1)],[latcmemo(i,1) latcmemo(i+1,1)],'color',[0 0 0],'LineWidth',2);
  end
 end
else
%--- eddies contour and labelling
if contouring=='y'; 
 ind=find(final~=neddy);
 final(ind)=0;
 [C,h]=m_contour(lon(jmin:jmax,imin:imax),lat(jmin:jmax,imin:imax),final,[0 1],'k');
set(h,'LineWidth',1,'EdgeColor','k');

end
if cross=='y'; 
m_line([lon(jcenter+jmin-1,icenter+imin-1)-sect lon(jcenter+jmin-1,icenter+imin-1)+sect],[lat(jcenter+jmin-1,icenter+imin-1) lat(jcenter+jmin-1,icenter+imin-1)],'color','b','LineWidth',2);
 m_line([lon(jcenter+jmin-1,icenter+imin-1) lon(jcenter+jmin-1,icenter+imin-1)],[lat(jcenter+jmin-1,icenter+imin-1)-sect lat(jcenter+jmin-1,icenter+imin-1)+sect],'color','b','LineWidth',2);
 
 m_line([lon(jcenter+jmin-1,min(ieddy)+imin-1) lon(jcenter+jmin-1,max(ieddy)+imin-1)],[lat(jcenter+jmin-1,icenter+imin-1) lat(jcenter+jmin-1,icenter+imin-1)],'color','b','LineWidth',2);
 m_line([lon(jcenter+jmin-1,icenter+imin-1) lon(jcenter+jmin-1,icenter+imin-1)],[lat(min(jeddy)+jmin-1,icenter+imin-1) lat(max(jeddy)+jmin-1,icenter+imin-1)],'color','b','LineWidth',2);
end
if numbering=='y';
 for j=1:freqnumbering:delta
  for i=1:freqnumbering:delta
   if final(j,i)~=0
    m_text(lon(j+jmin-1,i+imin-1),lat(j+jmin-1,i+imin-1),['{ ', num2str(final(j,i)) ,'}'],'Color',[1  0 0],'BackgroundColor',[0 0 0 ],'FontSize',3);
   end
  end
 end
 m_text(lon(jcenter+jmin-1,icenter+imin-1),lat(jcenter+jmin-1,icenter+imin-1),['.',num2str(neddy),'(',num2str(jcenter),',',num2str(icenter),')'],'Color',[1  0 0],'FontWeight','bold');
end%if numbering=='y'

end%if enough==1

%--- area of eddy research
m_line([lon(jmin,imin) lon(jmax,imin)],[lat(jmin,imin) lat(jmax,imin)],'color','r');
m_line([lon(jmax,imin) lon(jmax,imax)],[lat(jmax,imin) lat(jmax,imax)],'color','r');
m_line([lon(jmax,imax) lon(jmin,imax)],[lat(jmax,imax) lat(jmin,imax)],'color','r');
m_line([lon(jmin,imax) lon(jmin,imin)],[lat(jmin,imax) lat(jmin,imin)],'color','r');
%--- coastline
%m_gshhs_c('patch',[.5 .6 .5]);
m_gshhs_h('patch',[.5 .6 .5]);
%ad_add_towns('town.dat',6,min(min(lon)),19,min(min(lat)),max(max(lat)))
%%% trajectory 
if (fr-fr0)>2 & enough==0;
 for i=2:fr-fr0
  m_line([loncmemo(i-1) loncmemo(i)],[latcmemo(i-1) latcmemo(i)],'color',[0 0 0],'LineWidth',2);
 end
 dist(fr)=m_lldist([loncmemo(fr-1) loncmemo(fr)],[latcmemo(fr-1) latcmemo(fr)]);
 totaldist=totaldist+dist(fr);
 eddyvel(fr)=dist(fr)*1000/2/86400;%[m/s]
end
%legenda
title([simu,'   Y=',num2str(Y,'%2.0f'),'   M=',num2str(M,'%2.0f'),'   it=',num2str(tindex,'%2.0f'),'    vlevel=',num2str(vlevel)],'FontWeight','bold','Interpreter','none')
%title([simu,'   Y=',num2str(Y,'%2.0f'),'   M=',num2str(M,'%2.0f'),'   D=',num2str(D,'%2.0f'),'   it=',num2str(tindex,'%2.0f'),'    vlevel=',num2str(vlevel)],'FontWeight','bold','Interpreter','none')
xlabel(['{\bf ad-crit=',num2str(ad_crit),'  cutoff=',num2str(cutoff),'  ntot=',num2str(ntot),'  centerselec=',centerselec,'} '])
hold off;


warning off;
%figure(2)
orient portrait;
print('-depsc',['./temp',num2str(fr),'.eps'],'-loose');
