%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This file permits the three-dimensional modelisation of the eddy.

%figure(4);
figure('Visible','on');
hold on;
%%% bathymetry
plot_border3d(gridfile,'bottom',1);camlight;
%%% eddy
p=patch(isosurface(asseX,asseY,asseZ,final3D,0.9));
set(p,'facecolor',[0 0 1],'EdgeColor','none')
%%% axis and light
view(3);
camlight;lighting phong;
axis([lonrange2(1) lonrange2(2) latrange2(1) latrange2(2) -5000 0]);
%axis([-7 -1 43 47 -5000 0]);
view(-37,20)
%view(-105,9)
zlabel('Depth [m]');
ylabel('Lat');
xlabel('Lon');
if eddysign<0 & latcmemo(fr) <0
 title(['cyclone   Y',num2str(Y),'M',num2str(M),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
% title(['cyclone   Y',num2str(Y),'M',num2str(M),'D',num2str(D),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
end
if eddysign>0 & latcmemo(fr) >0
 title(['cyclone   Y',num2str(Y),'M',num2str(M),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
% title(['cyclone   Y',num2str(Y),'M',num2str(M),'D',num2str(D),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
end
if eddysign>0 & latcmemo(fr) <0
 title(['anticyclone   Y',num2str(Y),'M',num2str(M),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
% title(['anticyclone   Y',num2str(Y),'M',num2str(M),'D',num2str(D),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
end %if eddysign
if eddysign<0 & latcmemo(fr) >0
 title(['anticyclone   Y',num2str(Y),'M',num2str(M),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
% title(['anticyclone   Y',num2str(Y),'M',num2str(M),'D',num2str(D),'it',num2str(tindex),'  depthincr=',num2str(depthincr)])
end %if eddysign
grid;
%%% vertical axis from eddy center at 200m
line([loncmemo(fr,1) loncmemo(fr,1)],[latcmemo(fr,1) latcmemo(fr,1)],[topocmemo(fr) -200],'color',[1 0 0],'LineWidth',3,'LineStyle','--');
%%% trajectory on the bottom
if (fr-fr0)>2
 for i=fr0+1:fr-1
  line([loncmemo(i,1) loncmemo(i+1,1)],[latcmemo(i,1) latcmemo(i+1,1)],[topocmemo(i) topocmemo(i+1)],'color',[1 0 0],'LineWidth',3);
  %line([rloncmemo(i-1) rloncmemo(i)],[rlatcmemo(i-1) rlatcmemo(i)],[topocmemo(i-1) topocmemo(i)],'color',[0 0 0],'LineWidth',3);
 end
end


hold off;
orient portrait;
warning off;
print('-depsc',['./temp_3d_',num2str(fr),'.eps'],'-loose');
%saveas(1,['./temp_3d_',num2str(fr),'.eps'],'epsc2');
%clf;
%close(4);
%pause


