%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%--- getting var with roms_gui function
if varname =='vori'
var=vorti(:,:,tindex);
end
if varname == 'zeta'
[lat,lon,mask,var]=get_var(hisfile,gridfile,varname,tindex,0,coef,rempts);
end%if
if varname == 'temp'
[lat,lon,mask,var]=get_var(hisfile,gridfile,varname,tindex,vlevel,coef,rempts);
end%if
if varname == 'salt'
[lat,lon,mask,var]=get_var(hisfile,gridfile,varname,tindex,vlevel,coef,rempts);
end%if
if varname == 'vort'
[lat,lon,mask,var]=get_vort(hisfile,gridfile,tindex,vlevel,coef);
end%if


test=(varname~=varname2);
if isempty(find(test==1))==1;
 var2=var;
 interval2=interval;
else
if varname2 == 'zeta'
 [lat,lon,mask,var2]=get_var(hisfile,gridfile,varname,tindex,0,coef2,rempts);
 %interval=[-2:0.5:1]
 colormap bone;
end%if
if varname2 == 'temp'
 [lat,lon,mask,var2]=get_var(hisfile,gridfile,varname2,tindex,vlevel,coef2,rempts);
 %if anomalycalc==1; interval=[-2:0.5:2]; else; interval=[5:1:20]; end; 
 %colormap spring;
end%if
if varname2 == 'salt'
 [lat,lon,mask,var2]=get_var(hisfile,gridfile,varname2,tindex,vlevel,coef2,rempts);
 %if anomalycalc==1; interval=[-0.3:0.05:0.3]; else; interval=[34:0.05:35.5]; end;
 %colormap summer;
end%if
if varname2 == 'vort'
 [lat,lon,mask,var2]=get_vort(hisfile,gridfile,tindex,vlevel,coef2);
 %interval=[-1:0.2:1];
 %colormap winter;
end%if
if varname2 =='vori'
 var2=var;
 %interval=[-0.5:0.025:0.5];c
 %colormap winter;
end
end%if varname2 ~= varname


if centerselec == 'spee' | varname2 == 'spee'
 u=get_hslice(hisfile,gridfile,'u',tindex,vlevel,'u');
 v=get_hslice(hisfile,gridfile,'v',tindex,vlevel,'v');
 u=u2rho_2d(u);
 v=v2rho_2d(v);
 var3=sqrt(u.*u+v.*v);
 clear u v
 if varname2 == 'spee'; var2=var3; end;
end%if
if centerselec == 'vort' & varname == 'vort'
 var3=var2;
end

if anomalycalc==1 & ((varname2 == 'temp')|(varname2 == 'salt'));
 disp('anomalycalc');
 indici0=find(isnan(var2)==0);
 varmean2=mean(var2(indici0));
 var2=var2-varmean2;
 clear indici0;
end

%--- area of eddy research: it MUST be 2^n x 2^n
for j=jmin:jmax;
 for i=imin:imax;
   myvar(j-jmin+1,i-imin+1)=var(j,i);
   myvar2(j-jmin+1,i-imin+1)=var2(j,i);
 end
end

%clear var var2;

%--- no periodicity
if periodicity==0; myvar(1,:)=0; myvar(:,1)=0; end;

%--- filter cut off
if (filter_vort==1 & varname=='vort'); 
 indici=find(abs(myvar)<=cutoff); myvar(indici)=0; clear indici; 
end;

%--- zero on land
indici1=find(isnan(myvar)==1);
myvar(indici1)=0;
clear indici1


%--- G.Lapeyre's function
if extraction=='old';
 [final,ntot]=ad_extracteur2(myvar,3,ad_crit,factor);
end
if extraction=='new';
 % on interpolera sur une grille de resolution nfac*delta
 nfac=2;
 % si la distance entre deux tourbillons est plus petite
 % que rdist, alors on considere que ce sont les memes tourbillons
 rdist=3*nfac;
 % taille maximale d'un tourbillon
 nsize=20*nfac^2;
 % si on a un filament de taille 2*nsep, on le coupera
 nsep=2+nfac;
 [final,ntot]=nouv_extract(myvar,nfac,rdist,nsize,nsep,factor);
end

%--- eddies tracking
neddy=final(jcenter,icenter);

if neddy==0 | isnan(neddy)==1 | isinf(neddy)==1;
 disp('neddy==0 | isnan(neddy)==1 | isinf(neddy)==1')
 %fr=fr-1;
 enough=1;
else
 enough=0;
 
 [jeddy,ieddy]=find(final==neddy);
 
 eddy=find(final==neddy);

%--- eddy center 
 if centerselec=='vort';
  center=max(max(abs(myvar(eddy))));
  [jcenter,icenter]=find( abs(myvar) == center);
 end
 %if centerselec=='spee';
 % center=min(min(myvar(eddy)));
 % [jcenter,icenter]=find( myvar3 == center);
 %end
   

   
%--- check on vorticity sign
sign(myvar(jcenter,icenter));
 if sign(myvar(jcenter,icenter))~=eddysign;
  disp(' ');
  disp('  vorticity sign changed!!!');
  disp(' ');
  fid2=fopen('messages.txt','a');
  fprintf(fid2,'  vorticity sign changed!!!');
  fclose(fid2);
  enough=1;
 end

%--- relative vort 
 meancorevort=mean(myvar(eddy)/coef);
 stdcorevort=std(myvar(eddy)/coef);

%clear myvar

%--- area
 eddysurf=size(eddy);
 unosupn=1/pn(jcenter+jmin-1,icenter+imin-1);
 unosupm=1/pm(jcenter+jmin-1,icenter+imin-1);
 areau=unosupn*unosupm;
 eddyarea(1)=eddysurf(1)*areau;%[m�]

%--- diameter
minjeddy=min(jeddy);
maxjeddy=max(jeddy);
minieddy=min(ieddy);
maxieddy=max(ieddy);

lonc=lon(jcenter+jmin-1,icenter+imin-1);
latc=lat(jcenter+jmin-1,icenter+imin-1); 
lonE=lon(jcenter+jmin-1,maxieddy+imin-1);
lonW=lon(jcenter+jmin-1,minieddy+imin-1);
latS=lat(minjeddy+jmin-1,icenter+imin-1); 
latN=lat(maxjeddy+jmin-1,icenter+imin-1);

diamEW_z(1)=m_lldist([lonE lonW],[latc latc])*1000; %[m]
diamNS_z(1)=m_lldist([lonc lonc],[latN latS])*1000; %[m]
%diammemoEW(fr)=diamEW_z(1);
%diammemoNS(fr)=diamNS_z(1);
diam_z(1)=mean([diamEW_z(1) diamNS_z(1)]);

clear minjeddy maxjeddy minieddy maxieddy
%--- volume
 eddyvolu=eddysurf(1)*areau*abs(depthincr);%[m�]
 erreddyvolu=eddysurf(1)*areau/diam_z(1);%[adims]
 
%--- eddy potential vorticity
 [lat,lon,mask,pv]=get_pv(hisfile,gridfile,tindex,vlevel,1);
 eddypv=pv(eddy);
 ind=find(isnan(eddypv)==0);
 eddypv_z(1)=mean(eddypv(ind));
 eddypvmax_z(1)=max(eddypv(ind));
 eddypvmin_z(1)=min(eddypv(ind));
 
 clear pv;
%--- temperature,salinity & density
 [lat,lon,mask]=read_latlonmask(gridfile,'r');
 temp=get_hslice(hisfile,gridfile,'temp',tindex,vlevel,'r');
 salt=get_hslice(hisfile,gridfile,'salt',tindex,vlevel,'r');
 rho=mask.*rho_eos(temp,salt,vlevel);
 
 eddytemp=temp(eddy);
 ind=find(isnan(eddytemp)==0);
 eddytemp_z(1)=mean(eddytemp(ind));
 %conttemp_z(1)=sum(eddytemp(ind));
 
 eddysalt=salt(eddy);
 ind=find(isnan(eddysalt)==0);
 eddysalt_z(1)=mean(eddysalt(ind));
 %contsalt_z(1)=sum(eddytemp(ind));
 
 eddyrho=rho(eddy);
 ind=find(isnan(eddyrho)==0);
 eddyrho_z(1)=mean(eddyrho(ind));
 %contrho_z(1)=sum(eddyrho(ind));
 
 clear temp salt rho; 
%--- eddy velocity
loncmemo(fr,1)=lon(jcenter+jmin-1,icenter+imin-1);
latcmemo(fr,1)=lat(jcenter+jmin-1,icenter+imin-1);
topocmemo(fr)=topo(jcenter+jmin-1,icenter+imin-1);

if (fr-fr0)>1 & loncmemo(fr-1,1)~=0 & latcmemo(fr-1,1)~=0
path=m_lldist([loncmemo(fr,1) loncmemo(fr-1,1)],[latcmemo(fr,1) latcmemo(fr-1,1)] ); %[km]
velcenter_z(1)=path*1000/navgdays/86400;
else
velcenter_z(1)=NaN;
end

  fid1=fopen([sectionsname,'.txt'],'a');
  fprintf(fid1,'%5.0f %5.0f %5.0f %8.0f %5.0f %8.0f %5.0f %8.0f %5.0f %8.0f %12.4e %8.4e\n',Y,M,tindex,jcenter,icenter,min(jeddy),max(jeddy),min(ieddy),max(ieddy),eddysurf(1),meancorevort,stdcorevort);
 %fprintf(fid1,'%5.0f %5.0f %5.0f %5.0f %8.0f %5.0f %8.0f %5.0f %8.0f %5.0f %8.0f %12.4e %8.4e\n',Y,M,D,tindex,jcenter,icenter,min(jeddy),max(jeddy),min(ieddy),max(ieddy),eddysurf(1),meancorevort,stdcorevort);
 
 
end%if neddy==0 | isnan(neddy)==1 | isinf(neddy)==1;

%--- plot figure
%print3d_2



   
   zero=find(final~=neddy);
   final(zero)=0;
   final3D(:,:,1)=final(:,:);
%%% discrete center coord
   icenter3D(1)=icenter;
   jcenter3D(1)=jcenter;
   %lonc(fr,1)=lon(jcenter+jmin-1,icenter+imin-1);
   %latc(fr,1)=lat(jcenter+jmin-1,icenter+imin-1);
   %topoc(fr,1)=topo(jcenter+jmin-1,icenter+imin-1);

   latminjeddy(1)=lat(min(jeddy)+jmin-1,icenter+imin-1);
   latmaxjeddy(1)=lat(max(jeddy)+jmin-1,icenter+imin-1);
   lonminieddy(1)=lon(jcenter+jmin-1,min(ieddy)+imin-1);
   lonmaxieddy(1)=lon(jcenter+jmin-1,max(ieddy)+imin-1);

%%%%%%%%%%%%%%%%%%%%%%%%%