%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%if fierl=='si';
%depthmax=-5000;
%else
depthmax=(fix(Zmin/depthincr))*depthincr; %[m] vertical tracking
%%if exp=='aste'
%%   depthmax=fix(Zmin/100)*100;
%%end
%%if exp=='pano'
%%   depthmax=-400  
%%end
%end
depthmin=vlevel;

%%% per ARIANE
%fid=fopen(['iniposvert_Y',num2str(Y),'M',num2str(M),'it',num2str(tindex),'.txt'],'w');
%fprintf(fid,[simu,'   Y=',num2str(Y,'%2.0f'),'   M=',num2str(M,'%2.0f'),'   it=',num2str(tindex,'%2.0f'),'\n']);
%fprintf(fid,['ad-crit=',num2str(ad_crit),'  cutoff=',num2str(cutoff),'  centerselec=',centerselec,'  skp=',num2str(skp),'\n']) ;
%fprintf(fid,'    level    neddy   jcenter   icenter  eddysurf\n');
%fclose(fid);

%counter=0;
%fid1=fopen(['./iniposvert_Y',num2str(Y),'M',num2str(M),'it',num2str(tindex),'.txt'],'w');
%fprintf(fid1,['@ lmt=',num2str(lmt),'       timedir=',timedir,'\n']);
%fprintf(fid1,['@  Y',num2str(Y),'  M',num2str(M),'  it',num2str(tindex),'\n']);
%fprintf(fid1,'@          gi          gj          gk          gl   transport\n');
%%% time index
if timedir=='BW'; gl=lmt; end;
if timedir=='FW'; gl=1;   end;

%hisfile=[datafile,'_Y',num2str(Y),'M',num2str(M),'.nc'];

z0=get_depths(hisfile,gridfile,tindex,'r');
for k=1:32
    z(k,:,:)=z0(33-k,:,:);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iz=1;
%eddyarea=0;
%eddyvolu=0;
for level=depthmin+depthincr:depthincr:depthmax;
    
    
    disp(['level=',num2str(level)]);
    if level<topo(jcenter+jmin-1,icenter+imin-1);
        enough==0;
        level=level-depthincr;
        break
    else

        iz=iz+1;

%--- getting vorticity
        if varname=='vort';
            [lat,lon,mask,var]=get_vort(hisfile,gridfile,tindex,level,coef);
        end
        if varname=='vorp';
            [lat,lon,mask,var]=get_dpv(hisfile,gridfile,tindex,level,coef);
        end

%--- getting velocity
        if centerselec=='spee';
            u=get_hslice(hisfile,gridfile,'u',tindex,level,'u');
            v=get_hslice(hisfile,gridfile,'v',tindex,level,'v');
            u=u2rho_2d(u);
            v=v2rho_2d(v);
            var2=sqrt(u.*u+v.*v);
            clear u v
        end

%--- area of eddy research: it MUST be 2^n x 2^n
        for j=jmin:jmax;
            for i=imin:imax;
                myvar(j-jmin+1,i-imin+1)=var(j,i);
   %if centerselec=='spee'; myvar2(j-jmin+1,i-imin+1)=var2(j,i); end
            end
        end

        clear var;

%--- no periodicity
        if periodicity==0; myvar(1,:)=0; myvar(:,1)=0; end;

%--- filter cut off
        if (filter_vort==1 & varname=='vort'); 
            indici=find(abs(myvar)<=cutoff); myvar(indici)=0; clear indici; 
        end;

%--- zero on land
        indici1=find(isnan(myvar)==1);
        myvar(indici1)=0;
        clear indici1

%--- G.Lapeyre's function
        if extraction=='old';
            [final,ntot]=ad_extracteur2(myvar,3,ad_crit,factor);
        end
        if extraction=='new';
 % on interpolera sur une grille de resolution nfac*delta
            nfac=2;
 % si la distance entre deux tourbillons est plus petite
 % que rdist, alors on considere que ce sont les memes tourbillons
            rdist=3*nfac;
 % taille maximale d'un tourbillon
            nsize=20*nfac^2;
 % si on a un filament de taille 2*nsep, on le coupera
            nsep=2+nfac;
            [final,ntot]=nouv_extract(myvar,nfac,rdist,nsize,nsep,factor);
        end

%--- eddy tracking
        neddy=final(jcenter,icenter);

        if neddy==0
            disp(['trackingvert: signal lost!!!   level=',num2str(level),'   iz=',num2str(iz)]);
            levelmemo(fr)=level-depthincr;
            level=level-depthincr;
            break;
        else
            levelmemo(fr)=level;

            [jeddy,ieddy]=find(final==neddy);

            eddy=find(final==neddy);

%--- eddy center 
            if centerselec=='vort';
                center=max(max(abs(myvar(eddy))));
                [jcenter,icenter]=find( abs(myvar) == center & final==neddy);
            end
 %if centerselec=='spee';
 % center=min(min(myvar2(eddy)));
 % [jcenter,icenter]=find( myvar2 == center & final==neddy)
 %end

            icenter3D(iz)=icenter;
            jcenter3D(iz)=jcenter;

%--- check on vorticity sign
            sign(myvar(jcenter,icenter));
            if sign(myvar(jcenter,icenter))~=eddysign;
                disp(' ');
                disp('  vorticity sign changed!!!');
                disp(' ');
                levelmemo(fr)=level-depthincr;
                level=level-depthincr;
                fid2=fopen('messages.txt','a');
                fprintf(fid2,'  vorticity sign changed!!!');
                fclose(fid2);
                %enough=1;
                break
            end

%--- relative vort 
% meancorevort=mean(myvar(eddy)/coef);
% stdcorevort=std(myvar(eddy)/coef);

            clear myvar

%--- area
            eddysurf=size(eddy);
            unosupn=1/pn(jcenter+jmin-1,icenter+imin-1);
            unosupm=1/pm(jcenter+jmin-1,icenter+imin-1);
            area=unosupn*unosupm;
            eddyarea(iz)=eddysurf(1)*areau;%[m�]

%--- diameter
            minjeddy=min(jeddy);
            maxjeddy=max(jeddy);
            minieddy=min(ieddy);
            maxieddy=max(ieddy);

            lonc=lon(jcenter+jmin-1,icenter+imin-1);
            latc=lat(jcenter+jmin-1,icenter+imin-1); 
            lonE=lon(jcenter+jmin-1,maxieddy+imin-1);
            lonW=lon(jcenter+jmin-1,minieddy+imin-1);
            latS=lat(minjeddy+jmin-1,icenter+imin-1); 
            latN=lat(maxjeddy+jmin-1,icenter+imin-1);

            diamEW_z(iz)=m_lldist([lonE lonW],[latc latc])*1000; %[m]
            diamNS_z(iz)=m_lldist([lonc lonc],[latN latS])*1000; %[m]
            %diammemoEW(fr)=diamEW;
            %diammemoNS(fr)=diamNS;
            diam_z(iz)=mean([diamEW_z(iz) diamNS_z(iz)]);

            clear minjeddy maxjeddy minieddy maxieddy
%--- volume
            eddyvolu=eddyvolu+eddysurf(1)*areau*abs(depthincr);%[m�]
            erreddyvolu=erreddyvolu+eddysurf(1)*areau/diam_z(iz);%[adims]

%--- eddy potential vorticity
            [lat,lon,mask,pv]=get_pv(hisfile,gridfile,tindex,vlevel,1);
            eddypv=pv(eddy);
            ind=find(isnan(eddypv)==0);
            eddypv_z(iz)=mean(eddypv(ind));
            eddypvmax_z(iz)=max(eddypv(ind));
            eddypvmin_z(iz)=min(eddypv(ind));

            clear pv;
%--- temperature,salinity & density
            [lat,lon,mask]=read_latlonmask(gridfile,'r');
            temp=get_hslice(hisfile,gridfile,'temp',tindex,vlevel,'r');
            salt=get_hslice(hisfile,gridfile,'salt',tindex,vlevel,'r');
            rho=mask.*rho_eos(temp,salt,vlevel);
 
            eddytemp=temp(eddy);
            ind=find(isnan(eddytemp)==0);
            eddytemp_z(iz)=mean(eddytemp(ind));
            %conttemp_z(iz)=sum(eddytemp(ind));
 
            eddysalt=salt(eddy);
            ind=find(isnan(eddysalt)==0);
            eddysalt_z(iz)=mean(eddysalt(ind));
            %contsalt_z(iz)=sum(eddytemp(ind));
 
            eddyrho=rho(eddy);
            ind=find(isnan(eddyrho)==0);
            eddyrho_z(iz)=mean(eddyrho(ind));
            %contrho_z(iz)=sum(eddyrho(ind));
 
            clear temp salt rho; 
%--- eddy velocity
            loncmemo(fr,iz)=lon(jcenter+jmin-1,icenter+imin-1);
            latcmemo(fr,iz)=lat(jcenter+jmin-1,icenter+imin-1);


            if (fr-fr0)>1 & loncmemo(fr-1,iz)~=0 & latcmemo(fr-1,iz)~=0
                path=m_lldist([loncmemo(fr,iz) loncmemo(fr-1,iz)],[latcmemo(fr,iz) latcmemo(fr-1,iz)] ); %[km]
                velcenter_z(iz)=path*1000/navgdays/86400;
            else
                velcenter_z(iz)=NaN;
            end

            clear path




            %xcenter=mean(ieddy);
            %ycenter=mean(jeddy);

            zero=find(final~=neddy);
            final(zero)=0;

            final3D(:,:,iz)=final(:,:);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% fid=fopen(['initialvert_Y',num2str(Y),'M',num2str(M),'it',num2str(tindex),'.txt'],'a');
% fprintf(fid,'%9.0f %9.0f %9.0f %9.0f %9.0f\n',level,neddy,jcenter,icenter,eddysurf(1));
% fclose(fid);

%%% ARIANE initial positions
%%ifrac=0.5;%ARIANE deteste les indexes integres!!!
%%jfrac=0.5;
%kfrac=0.5;
%for j=1:delta
% for i=1:delta
%  if final(j,i)==neddy
%  zvec=z(:,j+jmin-1,i+imin-1);
%  gk_h=findnearest(level,zvec,1);
%  gk_l=findnearest(level,zvec,-1);
%  w_h=abs((level-zvec(gk_h))/(zvec(gk_h)-zvec(gk_l)));
%  w_l=abs((level-zvec(gk_l))/(zvec(gk_h)-zvec(gk_l)));
%  gk=w_l*gk_h+w_h*gk_l+kfrac;
%  for jfrac=0.25:0.5:0.75;  
%   for ifrac=0.25:0.5:0.75;
%     gi=i+imin-1+ifrac;
%     gj=j+jmin-1+jfrac;
%     counter=counter+1;
%     fprintf(fid1,' %12.5f%12.5f%12.5f%12.5f      1.0000\n',gi,gj,gk,gl);
%    end%for ifrac
%   end%for jfrac
%   %pause(0.001)
%  end%if
% end%for i
%end%for j

        end%if neddy==0 | isempty(indneddy)==1 | maxneddy~=minneddy;

%pause(1);
    end%if level<topo(jcenter+jmin-1,icenter+imin-1);

end;%for level
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%--- eddy velocity, diameter and volume
ind=find(isnan(velcenter_z)==0);
if isempty(ind)==1
    velcentermemo(fr)=NaN;
    errvelcentermemo(fr)=NaN;
else
    velcentermemo(fr)=mean(velcenter_z(ind));
    errvelcentermemo(fr)=std(velcenter_z(ind));
    errvelcentermemo(fr)=errvelcentermemo(fr)/velcentermemo(fr);%[adims]
end

diamEW=mean(diamEW_z);
diamNW=mean(diamNS_z);
diammemo(fr)=mean([diamEW diamNW]);
errdiammemo(fr)=abs(diamEW-diamNW)/diammemo(fr);%[adims]

eddyvolumemo(fr)=eddyvolu;
erreddyvolumemo(fr)=2*(unosupn+unosupm)*abs(depthincr)*erreddyvolu;
erreddyvolumemo(fr)=erreddyvolumemo(fr)+abs(depthincr)*pi*(diammemo(fr)/2)^2;
erreddyvolumemo(fr)=erreddyvolumemo(fr)/eddyvolumemo(fr);%[adims]

clear velcenter_z diam_z diamEW_z diamNS_z diamEW diamNW eddyvolu erreddyvolu;

%--- eddy potential vorticity and tracers
eddypvmemo(fr)=mean(eddypv_z);
eddypvmaxmemo(fr)=max(eddypvmax_z);
eddypvminmemo(fr)=min(eddypvmin_z);

eddytempmemo(fr)=mean(eddytemp_z);
conttempmemo(fr)=0;%sum(eddytemp_z);

eddysaltmemo(fr)=mean(eddysalt_z);
contsaltmemo(fr)=0;%sum(eddysalt_z);

eddyrhomemo(fr)=mean(eddyrho_z);
contrhomemo(fr)=0;%sum(eddyrho_z);

clear eddypv_z eddypvmax_z eddypvmin_z eddytemp_z eddysalt_z eddyrho_z;

%--- computation of values for ARIANE setup
%fprintf(fid1,'@ total= %12.0f particles\n',counter );
%total=Y*12*15+M*15+tindex;
%newtotal=total-lmt;
%Y0=fix(newtotal/12/15);
%M0=fix((newtotal/12/15-Y0)*12);
%it0=round((((newtotal/12/15-Y0)*12)-M0)*15)+1;
%%disp(['Y0=',num2str(Y0),'    M0=',num2str(M0),'    it0=',num2str(it0)])
%fprintf(fid1,['@ Y0=',num2str(Y0),'    M0=',num2str(M0),'    it0=',num2str(it0),'\n']);

